﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Model;
using WCS.Model.ApiModel.AGV;
using WCS.Model.ApiModel.PDAMatBind;
using WCS.Model.WebSocketModel;

namespace WCS.BLL.Services.IService
{
    /// <summary>
    /// Pda物料绑定
    /// </summary>
    public interface IPDAMatBindService
    {
        public Task<ResponseCommon> callEmptyShelf(BindMatDetailRequest request);
        public Task<ResponseCommon> bindSendBackShelf(BindMatDetailRequest request);

        public Task<ResponseBase> resendAGVTask(ResendAGVTasksRequest request);
    }
}
