﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.AGV
{
    /// <summary>
    /// 取消任务
    /// </summary>
    public class AGVQueryAgvStatusRequest
    {
        /// <summary>
        /// 请求码 每一次请求唯一
        /// </summary>
        public string reqCode { get; set; } = Guid.NewGuid().ToString().Replace("-", "");

        /// <summary>
        /// 请求时间
        /// </summary>
        public string reqTime { get; set; } = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");

        /// <summary>
        /// 客户端编号
        /// </summary>
        public string clientCode { get; set; } = string.Empty;

        /// <summary>
        /// token
        /// </summary>
        public string tokenCode { get; set; } = string.Empty;

        /// <summary>
        /// 地图编号
        /// </summary>
        public string mapCode { get; set; } = "XY";
    }
}
