﻿using System;
using System.Collections.Generic;
using System.Text;
using WCS.Model.ApiModel.Home;
using WCS.Model.ApiModel.LocationInfo;

namespace WCS.Model.ApiModel.PDAMatBind
{
    public class GetShelfInfoByLocationReturnData
    {
        /// <summary>
        /// 工位ID
        /// </summary>
        public int LocationId { get; set; } = 0;

        /// <summary>
        /// 位置编码 工位编码
        /// </summary>
        public string LocationCode { get; set; } = string.Empty;

        /// <summary>
        /// 货架ID
        /// </summary>
        public int? ShelfId { get; set; } = 0;

        /// <summary>
        /// 货架编码
        /// </summary>
        public string ShelfCode { get; set;} = string.Empty;

        /// <summary>
        /// 空货架的类型
        /// </summary>
        public List<ShelfTypeModel> ShelfTypes { get; set; }

        /// <summary>
        /// 货架送回的区域
        /// </summary>
        public List<LocationAreaInfoModel> LocationArea { get; set; }
    }
}
