﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.AGV
{
    //AGV同步地图数据
    public class AGVSyncMapDatasRequest
    {
        /// <summary>
        /// 请求码 每一次请求唯一
        /// </summary>
        public string reqCode { get; set; } = Guid.NewGuid().ToString().Replace("-", "");

        /// <summary>
        /// 请求时间
        /// </summary>
        public string reqTime { get; set; } = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");

        /// <summary>
        /// 地图简称 RCS系统地图中有
        /// </summary>
        public string mapShortName = "STZL";

        public string dataTyp = "";

        public string tokenCode = "";

        public string clientCode = "wcs";
    }
}
