﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.AGV
{
    public class GetAGVTasksRequest : PageQueryRequestBase
    {
        public string ShelfCode { get; set; } = string.Empty;

        public string CreateUser { get; set; } = string.Empty;

        public string StartLocationCode { get; set; } = string.Empty;

        public string EndLocationCode { get; set; } = string.Empty;

        public TaskStatusEnum? TaskStatus { get; set; } = null;
    }

    //1-已创建，2-正在执行，5-取消完成，9-已结束, 10-被打断
    public enum TaskStatusEnum
    {
        已创建 = 1,
        正在执行 = 2,
        取消完成 = 5,
        已结束 = 9,
        被打断 = 10,
    }
}
